Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Class NVTransformFeedback

    java.lang.Object
      org.lwjgl.opengl.NVTransformFeedback

    public final class NVTransformFeedback

extends java.lang.Object

Field Summary
`static int` | `GL_ACTIVE_VARYING_MAX_LENGTH_NV`
`static int` | `GL_ACTIVE_VARYINGS_NV` Accepted by the <pname> parameter of GetProgramiv:
`static int` | `GL_BACK_PRIMARY_COLOR_NV` Accepted by the <attribs> parameter of TransformFeedbackAttribsNV:
`static int` | `GL_BACK_SECONDARY_COLOR_NV`
`static int` | `GL_CLIP_DISTANCE_NV`
`static int` | `GL_GENERIC_ATTRIB_NV`
`static int` | `GL_INTERLEAVED_ATTRIBS_NV` Accepted by the <bufferMode> parameter of TransformFeedbackAttribsNV and TransformFeedbackVaryingsNV:
`static int` | `GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS_NV` Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static int` | `GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS_NV`
`static int` | `GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS_NV`
`static int` | `GL_PRIMITIVE_ID_NV`
`static int` | `GL_PRIMITIVES_GENERATED_NV` Accepted by the <target> parameter of BeginQuery, EndQuery, and GetQueryiv:
`static int` | `GL_RASTERIZER_DISCARD_NV` Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static int` | `GL_SEPARATE_ATTRIBS_NV`
`static int` | `GL_TEXTURE_COORD_NV`
`static int` | `GL_TRANSFORM_FEEDBACK_ATTRIBS_NV`
`static int` | `GL_TRANSFORM_FEEDBACK_BUFFER_BINDING_NV` Accepted by the <param> parameter of GetIntegerIndexedvEXT and GetBooleanIndexedvEXT, and by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:
`static int` | `GL_TRANSFORM_FEEDBACK_BUFFER_MODE_NV` Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, GetFloatv, and GetProgramiv:
`static int` | `GL_TRANSFORM_FEEDBACK_BUFFER_NV` Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferPointerv, BindBufferRangeNV, BindBufferOffsetNV and BindBufferBaseNV:
`static int` | `GL_TRANSFORM_FEEDBACK_BUFFER_SIZE_NV`
`static int` | `GL_TRANSFORM_FEEDBACK_BUFFER_START_NV` Accepted by the <param> parameter of GetIntegerIndexedvEXT and GetBooleanIndexedvEXT:
`static int` | `GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN_NV`
`static int` | `GL_TRANSFORM_FEEDBACK_RECORD_NV`
`static int` | `GL_TRANSFORM_FEEDBACK_VARYINGS_NV`
`static int` | `GL_VERTEX_ID_NV`

Method Summary
`static void` | `glActiveVaryingNV(int program, java.nio.ByteBuffer name)`
`static void` | `glBeginTransformFeedbackNV(int primitiveMode)`
`static void` | `glBindBufferBaseNV(int target, int index, int buffer)`
`static void` | `glBindBufferOffsetNV(int target, int index, int buffer, long offset)`
`static void` | `glBindBufferRangeNV(int target, int index, int buffer, long offset, long size)`
`static void` | `glEndTransformFeedbackNV()`
`static void` | `glGetActiveVaryingNV(int program, int index, java.nio.IntBuffer length, java.nio.IntBuffer size, java.nio.IntBuffer type, java.nio.ByteBuffer name)`
`static void` | `glGetTransformFeedbackVaryingNV(int program, int index, java.nio.IntBuffer location)`
`static int` | `glGetVaryingLocationNV(int program, java.nio.ByteBuffer name)`
`static void` | `glTransformFeedbackAttribsNV(java.nio.IntBuffer attribs, int bufferMode)`
`static void` | `glTransformFeedbackVaryingsNV(int program, java.nio.IntBuffer locations, int bufferMode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_TRANSFORM_FEEDBACK_BUFFER_NV

    public static final int GL_TRANSFORM_FEEDBACK_BUFFER_NV

  Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferPointerv, BindBufferRangeNV, BindBufferOffsetNV and BindBufferBaseNV:

  See Also:
    Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_START_NV

    public static final int GL_TRANSFORM_FEEDBACK_BUFFER_START_NV

  Accepted by the <param> parameter of GetIntegerIndexedvEXT and GetBooleanIndexedvEXT:

  See Also:
    Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_SIZE_NV

    public static final int GL_TRANSFORM_FEEDBACK_BUFFER_SIZE_NV

See Also:
  Constant Field Values

### GL_TRANSFORM_FEEDBACK_RECORD_NV

    public static final int GL_TRANSFORM_FEEDBACK_RECORD_NV

See Also:
  Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_BINDING_NV

    public static final int GL_TRANSFORM_FEEDBACK_BUFFER_BINDING_NV

  Accepted by the <param> parameter of GetIntegerIndexedvEXT and GetBooleanIndexedvEXT, and by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

  See Also:
    Constant Field Values

### GL_INTERLEAVED_ATTRIBS_NV

    public static final int GL_INTERLEAVED_ATTRIBS_NV

  Accepted by the <bufferMode> parameter of TransformFeedbackAttribsNV and TransformFeedbackVaryingsNV:

  See Also:
    Constant Field Values

### GL_SEPARATE_ATTRIBS_NV

    public static final int GL_SEPARATE_ATTRIBS_NV

See Also:
  Constant Field Values

### GL_PRIMITIVES_GENERATED_NV

    public static final int GL_PRIMITIVES_GENERATED_NV

  Accepted by the <target> parameter of BeginQuery, EndQuery, and GetQueryiv:

  See Also:
    Constant Field Values

### GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN_NV

    public static final int GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN_NV

See Also:
  Constant Field Values

### GL_RASTERIZER_DISCARD_NV

    public static final int GL_RASTERIZER_DISCARD_NV

  Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

### GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS_NV

    public static final int GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS_NV

  Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, and GetFloatv:

  See Also:
    Constant Field Values

### GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS_NV

    public static final int GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS_NV

See Also:
  Constant Field Values

### GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS_NV

    public static final int GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS_NV

See Also:
  Constant Field Values

### GL_TRANSFORM_FEEDBACK_ATTRIBS_NV

    public static final int GL_TRANSFORM_FEEDBACK_ATTRIBS_NV

See Also:
  Constant Field Values

### GL_ACTIVE_VARYINGS_NV

    public static final int GL_ACTIVE_VARYINGS_NV

  Accepted by the <pname> parameter of GetProgramiv:

  See Also:
    Constant Field Values

### GL_ACTIVE_VARYING_MAX_LENGTH_NV

    public static final int GL_ACTIVE_VARYING_MAX_LENGTH_NV

See Also:
  Constant Field Values

### GL_TRANSFORM_FEEDBACK_VARYINGS_NV

    public static final int GL_TRANSFORM_FEEDBACK_VARYINGS_NV

See Also:
  Constant Field Values

### GL_TRANSFORM_FEEDBACK_BUFFER_MODE_NV

    public static final int GL_TRANSFORM_FEEDBACK_BUFFER_MODE_NV

  Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetIntegerv, GetFloatv, and GetProgramiv:

  See Also:
    Constant Field Values

### GL_BACK_PRIMARY_COLOR_NV

    public static final int GL_BACK_PRIMARY_COLOR_NV

  Accepted by the <attribs> parameter of TransformFeedbackAttribsNV:

  See Also:
    Constant Field Values

### GL_BACK_SECONDARY_COLOR_NV

    public static final int GL_BACK_SECONDARY_COLOR_NV

See Also:
  Constant Field Values

### GL_TEXTURE_COORD_NV

    public static final int GL_TEXTURE_COORD_NV

See Also:
  Constant Field Values

### GL_CLIP_DISTANCE_NV

    public static final int GL_CLIP_DISTANCE_NV

See Also:
  Constant Field Values

### GL_VERTEX_ID_NV

    public static final int GL_VERTEX_ID_NV

See Also:
  Constant Field Values

### GL_PRIMITIVE_ID_NV

    public static final int GL_PRIMITIVE_ID_NV

See Also:
  Constant Field Values

### GL_GENERIC_ATTRIB_NV

    public static final int GL_GENERIC_ATTRIB_NV

See Also:
  Constant Field Values

Method Detail

### glBindBufferRangeNV

    public static void glBindBufferRangeNV(int target,
                                           int index,
                                           int buffer,
                                           long offset,
                                           long size)

### glBindBufferOffsetNV

    public static void glBindBufferOffsetNV(int target,
                                            int index,
                                            int buffer,
                                            long offset)

### glBindBufferBaseNV

    public static void glBindBufferBaseNV(int target,
                                          int index,
                                          int buffer)

### glTransformFeedbackAttribsNV

    public static void glTransformFeedbackAttribsNV(java.nio.IntBuffer attribs,
                                                    int bufferMode)

### glTransformFeedbackVaryingsNV

    public static void glTransformFeedbackVaryingsNV(int program,
                                                     java.nio.IntBuffer locations,
                                                     int bufferMode)

### glBeginTransformFeedbackNV

    public static void glBeginTransformFeedbackNV(int primitiveMode)

### glEndTransformFeedbackNV

    public static void glEndTransformFeedbackNV()

### glGetVaryingLocationNV

    public static int glGetVaryingLocationNV(int program,
                                             java.nio.ByteBuffer name)

### glGetActiveVaryingNV

    public static void glGetActiveVaryingNV(int program,
                                            int index,
                                            java.nio.IntBuffer length,
                                            java.nio.IntBuffer size,
                                            java.nio.IntBuffer type,
                                            java.nio.ByteBuffer name)

### glActiveVaryingNV

    public static void glActiveVaryingNV(int program,
                                         java.nio.ByteBuffer name)

### glGetTransformFeedbackVaryingNV

    public static void glGetTransformFeedbackVaryingNV(int program,
                                                       int index,
                                                       java.nio.IntBuffer location)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.